@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

html, body {
    height: 100%;
}

app {
    display: block;
    height: 100%;
}

.header-logo {
    flex-shrink: 0;
    background-color: #1C75BC;
    -webkit-mask: url('../images/Logo.svg');
    mask: url('../images/Logo.svg');
    -webkit-mask-position: left;
    mask-position: left;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    width: 180px;
    height: 36px;
}

#blazor-error-ui {
    background: inherit;
    bottom: 0;
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 100001;
}
/*Style Icon Caption*/
.xaf-caption-icon-container {
    background: transparent !important;
    width: 36px;
    height: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 18px;
    margin-right: 0.5rem;
}


/*Grid Style*/

.grid-header-row {
    /*height: 42px;*/
    background: #F3F6FB !important;
    font-family: Poppins !important;
    font-style: normal !important;
    font-weight: 600 !important;
    font-size: 12px !important;
    line-height: 200% !important;
    /* identical to box height, or 24px */

    /*text-transform: uppercase !important;*/
    /* medium grey */

    color: #737E8C !important;
}

.alt-item > td {
    background: #F8FAFF;
}

.data-cell {
    font-family: Poppins !important;
    font-style: normal !important;
    font-weight: 400;
    font-size: 14px !important;
    line-height: 200% !important;
    /* identical to box height, or 24px */
    color: #172542 !important;
}

/* Override font-weight for Firefox */
@-moz-document url-prefix() {
    .data-cell {
        font-weight: 300 !important; /* Font-weight for Firefox */
    }
}

.header-rounded {
    padding-left: 6px !important;
}

thead tr:first-child th.header-rounded:first-child {
    border-radius: 8px 0px 0px 0px !important;
}

thead tr:first-child th.header-rounded:last-child {
    border-radius: 0px 8px 0px 0px !important;
}

/*SplashScreen*/
.loading-items-center > .bg-primary {
    background-color: white !important;
}

.loading-items-center > img {
    width: 150px;
    height: 40px;
}

.form-control {
    appearance: auto !important;
}

/*Upload Image Component*/
#upload-area {
    width: 120px;
    height: 120px;
    /*border: 1px dashed black;*/
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: white;
}

    #upload-area img {
        width: 120px;
        height: 120px;
        border-radius: 8px;
    }

#upload-area_new {
    width: 120px;
    height: 120px;
    border: 1px dashed black;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: white;
}

    #upload-area_new img {
        width: 17px;
        height: 17px;
        margin-bottom: 0.5rem;
    }

#upload-area .button {
    border: none;
    background: none;
    color: var(--bs-info);
    text-decoration: underline;
    cursor: pointer;
}

.popups-title-subtitle-labels {
    color: #737E8C;
    font-size: 14px;
    font-family: Poppins;
    font-weight: 400;
    word-wrap: break-word
}

/*Popup Footer Buttons*/

.popupBottomToolbar .dxbl-toolbar-placeholder {
    display: none !important;
}

.popupBottomToolbar {
    justify-content: center !important;
}

    .popupBottomToolbar button {
        width: 145px !important;
    }